<?php

/**
 * Toggle field class
 */

namespace KreaLab\KLDebug\Utils\Settings\CoreFields;

class Toggle {

  /**
   * Toggle field
   *
   * @param Field $field Field instance
   * @return void
   */
  public function input($field){

    echo '
    <label class="toggle-switch">
      <input type="checkbox" id="' . $field->input_id() . '" name="' . $field->input_name() . '" value="true" ' . checked( $field->value(), 'true', false ) . '>
      <span class="slider"></span>
    </label>';

  }

  /**
   * Sanitize toggle value
   * Allows only for empty string and 'true'
   *
   * @param string $value saved value
   * @return string       empty string or 'true"
   */
  public function sanitize($value){
		return ( $value !== 'true' ) ? '' : $value;
  }
}
