<?php
global $wpdb;
$queries = $wpdb->queries ?? [];

$total_calc = array_sum(array_map(function($value){
	
	return $value[1];
}, $queries)) * 1000;
$total = number_format( $total_calc, 1);
?>
<div id="kl-debug-queries-interface" class="kl-debug-click-popup">

	<?php $this->get_view('front/popup-click-header'); ?>
    
    <div class="kl-debug-container">
	   
		<h3>
			<div class="float-left">
				<?php _e( 'Queries', 'kl_debug' ); ?>
			</div>
			<div class="float-right">
				<small><?php echo "<strong>Total:</strong> {$total}ms" ?></small>
			</div>
		</h3>
	    
	    <div class="queries-container">
		    
		    <?php foreach($queries as $index => $query): ?>
		    
		        <div class="query">
			        
			        <div class="query__infos">
				        <p><strong><?php echo sprintf( __('Query #%s', 'kl_debug'), ($index + 1)); ?></strong></p>
				        
				        <?php echo "{$query[0]}"; ?>
				        
				        <div class="query__details-query">
					        
					        <?php echo "{$query[2]}"; ?>
					        
				        </div>
				        
			        </div>
			        
			        <div class="query__timer">
				        
				        <?php
				        $timer = number_format( $query[1] * 1000, 1);
				        echo "{$timer}ms";
				        ?>
				        
			        </div>
			        
		        </div>
		    
	        <?php endforeach; ?>
		    
	    </div>
	    
    </div>
	
</div>
