<?php
global $wpdb;
?>

<div id="kl-debug-toolbar">
    <div class="kl-debug-block <?= $this->get_var( 'http_response_color' ); ?>">
		<?= $this->get_var( 'http_response_code' ); ?>
    </div>
    <div class="kl-debug-block kl-debug-load-time">
		<?= $this->get_var( 'page_load_duration' ); ?> s
    </div>
    <div class="kl-debug-block kl-debug-load-time kl-debug-click">
        <span>
            <i class="kl-debug-icon fas fa-bug"></i> <span class="kl-debug-text"><?= __('Debug variables', 'kl_debug'); ?></span>
        </span>
		<?php $this->get_view( 'front/request-interface' ); ?>
    </div>
    <?php if( defined("SAVEQUERIES") && SAVEQUERIES ) : ?>
    <div class="kl-debug-block kl-debug-queries kl-debug-click">
        <span>
            <i class="kl-debug-icon fas fa-database"></i> <span class="kl-debug-text"><?= __('Queries', 'kl_debug'); ?></span>
        </span>
		<?php $this->get_view( 'front/queries-interface' ); ?>
    </div>
    <?php endif; ?>
	<?php if ( is_user_logged_in() ) : ?>
        <div class="kl-debug-block kl-debug-load-time kl-debug-hover">
            <i class="kl-debug-icon fas fa-user"></i> <span class="kl-debug-text"><?= $this->get_var( 'user_infos' )->display_name; ?></span>
            <div class="kl-debug-popup">
                <div class="kl-debug-table-row">
                    <b><?= __('User ID', 'kl_debug'); ?></b>
                    <span><?= $this->get_var( 'user_infos' )->ID; ?></span>
                </div>
                <div class="kl-debug-table-row">
                    <b><?= __('Logged in as', 'kl_debug'); ?></b>
                    <span><?= $this->get_var( 'user_infos' )->display_name; ?></span>
                </div>
                <div class="kl-debug-table-row">
                    <b><?= __('Role(s)', 'kl_debug'); ?></b>
                    <span><?= implode( ', ', $this->get_var( 'user_infos' )->roles ); ?></span>
                </div>
            </div>
        </div>
	<?php endif; ?>
    <div class="kl-debug-block kl-debug-block-right kl-debug-infos kl-debug-hover">
        <i class="kl-debug-icon fas fa-info-circle"></i> <span class="kl-debug-text"><?= KLDEBUG_VERSION; ?></span>
        <div class="kl-debug-popup">
            <div class="kl-debug-table-row">
                <b><?= __('Wordpress version', 'kl_debug'); ?></b>
                <span><?= esc_attr( get_bloginfo( 'version' ) ); ?></span>
            </div>
            <div class="kl-debug-table-row">
                <b><?= __('PHP Version', 'kl_debug'); ?></b>
                <span><?= phpversion(); ?></span>
            </div>
            <div class="kl-debug-table-row">
                <b><?= __('MYSQL Version', 'kl_debug'); ?></b>
                <span><?= $wpdb->db_version(); ?></span>
            </div>
            <div class="kl-debug-table-row">
                <b><?= __('PHP max execution time', 'kl_debug'); ?></b>
                <span><?= $this->get_var( 'php_max_execution_time' ); ?></span>
            </div>
            <div class="kl-debug-table-row">
                <b><?= __('PHP memory limit', 'kl_debug'); ?></b>
                <span><?= esc_attr( size_format( $this->get_var( 'php_memory_limit' ) ) ); ?></span>
            </div>
        </div>
    </div>
</div>
